## PhoshScreenSaverDBusScreenSaverSkeleton

PhoshScreenSaverDBusScreenSaverSkeleton

## Functions

GDBusInterfaceInfo * | phosh_screen_saver_dbus_screen_saver_interface_info ()
guint | phosh_screen_saver_dbus_screen_saver_override_properties ()
void | phosh_screen_saver_dbus_screen_saver_complete_lock ()
void | phosh_screen_saver_dbus_screen_saver_complete_get_active ()
void | phosh_screen_saver_dbus_screen_saver_complete_set_active ()
void | phosh_screen_saver_dbus_screen_saver_complete_get_active_time ()
void | phosh_screen_saver_dbus_screen_saver_emit_active_changed ()
void | phosh_screen_saver_dbus_screen_saver_emit_wake_up_screen ()
void | phosh_screen_saver_dbus_screen_saver_call_lock ()
gboolean | phosh_screen_saver_dbus_screen_saver_call_lock_finish ()
gboolean | phosh_screen_saver_dbus_screen_saver_call_lock_sync ()
void | phosh_screen_saver_dbus_screen_saver_call_get_active ()
gboolean | phosh_screen_saver_dbus_screen_saver_call_get_active_finish ()
gboolean | phosh_screen_saver_dbus_screen_saver_call_get_active_sync ()
void | phosh_screen_saver_dbus_screen_saver_call_set_active ()
gboolean | phosh_screen_saver_dbus_screen_saver_call_set_active_finish ()
gboolean | phosh_screen_saver_dbus_screen_saver_call_set_active_sync ()
void | phosh_screen_saver_dbus_screen_saver_call_get_active_time ()
gboolean | phosh_screen_saver_dbus_screen_saver_call_get_active_time_finish ()
gboolean | phosh_screen_saver_dbus_screen_saver_call_get_active_time_sync ()
void | phosh_screen_saver_dbus_screen_saver_proxy_new ()
PhoshScreenSaverDBusScreenSaver * | phosh_screen_saver_dbus_screen_saver_proxy_new_finish ()
PhoshScreenSaverDBusScreenSaver * | phosh_screen_saver_dbus_screen_saver_proxy_new_sync ()
void | phosh_screen_saver_dbus_screen_saver_proxy_new_for_bus ()
PhoshScreenSaverDBusScreenSaver * | phosh_screen_saver_dbus_screen_saver_proxy_new_for_bus_finish ()
PhoshScreenSaverDBusScreenSaver * | phosh_screen_saver_dbus_screen_saver_proxy_new_for_bus_sync ()
PhoshScreenSaverDBusScreenSaver * | phosh_screen_saver_dbus_screen_saver_skeleton_new ()

## Signals

void | active-changed | Run Last
gboolean | handle-get-active | Run Last
gboolean | handle-get-active-time | Run Last
gboolean | handle-lock | Run Last
gboolean | handle-set-active | Run Last
void | wake-up-screen | Run Last

## Types and Values

struct | PhoshScreenSaverDBusScreenSaverIface
struct | PhoshScreenSaverDBusScreenSaverProxy
struct | PhoshScreenSaverDBusScreenSaverProxyClass
struct | PhoshScreenSaverDBusScreenSaverSkeleton
struct | PhoshScreenSaverDBusScreenSaverSkeletonClass
| PhoshScreenSaverDBusScreenSaver
| PhoshScreenSaverDBusScreenSaverProxyPrivate
| PhoshScreenSaverDBusScreenSaverSkeletonPrivate

## Object Hierarchy

        GInterface
        ╰── PhoshScreenSaverDBusScreenSaver
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── PhoshScreenSaverDBusScreenSaverSkeleton
        │       ╰── PhoshScreenSaverManager
        ╰── GDBusProxy
            ╰── PhoshScreenSaverDBusScreenSaverProxy

## Prerequisites

PhoshScreenSaverDBusScreenSaver requires GObject.

## Implemented Interfaces

PhoshScreenSaverDBusScreenSaverProxy implements GDBusInterface, GInitable, GAsyncInitable and PhoshScreenSaverDBusScreenSaver.

PhoshScreenSaverDBusScreenSaverSkeleton implements GDBusInterface and PhoshScreenSaverDBusScreenSaver.

## Known Implementations

PhoshScreenSaverDBusScreenSaver is implemented by PhoshScreenSaverDBusScreenSaverProxy, PhoshScreenSaverDBusScreenSaverSkeleton and PhoshScreenSaverManager.

## Description

## Functions

### phosh_screen_saver_dbus_screen_saver_interface_info ()

    GDBusInterfaceInfo *
    phosh_screen_saver_dbus_screen_saver_interface_info
                                   (void);

Gets a machine-readable description of the org.gnome.ScreenSaver D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### phosh_screen_saver_dbus_screen_saver_override_properties ()

    guint
    phosh_screen_saver_dbus_screen_saver_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the PhoshScreenSaverDBusScreenSaver interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### phosh_screen_saver_dbus_screen_saver_complete_lock ()

    void
    phosh_screen_saver_dbus_screen_saver_complete_lock
                                   (PhoshScreenSaverDBusScreenSaver *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Lock()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshScreenSaverDBusScreenSaver. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_screen_saver_dbus_screen_saver_complete_get_active ()

    void
    phosh_screen_saver_dbus_screen_saver_complete_get_active
                                   (PhoshScreenSaverDBusScreenSaver *object,
                                    GDBusMethodInvocation *invocation,
                                    gboolean active);

Helper function used in service implementations to finish handling invocations of the `GetActive()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshScreenSaverDBusScreenSaver. |
invocation | A GDBusMethodInvocation. | [transfer full]
active | Parameter to return. |

### phosh_screen_saver_dbus_screen_saver_complete_set_active ()

    void
    phosh_screen_saver_dbus_screen_saver_complete_set_active
                                   (PhoshScreenSaverDBusScreenSaver *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SetActive()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshScreenSaverDBusScreenSaver. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_screen_saver_dbus_screen_saver_complete_get_active_time ()

    void
    phosh_screen_saver_dbus_screen_saver_complete_get_active_time
                                   (PhoshScreenSaverDBusScreenSaver *object,
                                    GDBusMethodInvocation *invocation,
                                    guint value);

Helper function used in service implementations to finish handling invocations of the `GetActiveTime()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshScreenSaverDBusScreenSaver. |
invocation | A GDBusMethodInvocation. | [transfer full]
value | Parameter to return. |

### phosh_screen_saver_dbus_screen_saver_emit_active_changed ()

    void
    phosh_screen_saver_dbus_screen_saver_emit_active_changed
                                   (PhoshScreenSaverDBusScreenSaver *object,
                                    gboolean arg_new_value);

Emits the "ActiveChanged" D-Bus signal.

#### Parameters

object | A PhoshScreenSaverDBusScreenSaver. |
arg_new_value | Argument to pass with the signal. |

### phosh_screen_saver_dbus_screen_saver_emit_wake_up_screen ()

    void
    phosh_screen_saver_dbus_screen_saver_emit_wake_up_screen
                                   (PhoshScreenSaverDBusScreenSaver *object);

Emits the "WakeUpScreen" D-Bus signal.

#### Parameters

object | A PhoshScreenSaverDBusScreenSaver. |

### phosh_screen_saver_dbus_screen_saver_call_lock ()

    void
    phosh_screen_saver_dbus_screen_saver_call_lock
                                   (PhoshScreenSaverDBusScreenSaver *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `Lock()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_screen_saver_dbus_screen_saver_call_lock_finish()` to get the result of the operation.

See `phosh_screen_saver_dbus_screen_saver_call_lock_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshScreenSaverDBusScreenSaverProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_screen_saver_dbus_screen_saver_call_lock_finish ()

    gboolean
    phosh_screen_saver_dbus_screen_saver_call_lock_finish
                                   (PhoshScreenSaverDBusScreenSaver *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_screen_saver_dbus_screen_saver_call_lock()`.

#### Parameters

proxy | A PhoshScreenSaverDBusScreenSaverProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_screen_saver_dbus_screen_saver_call_lock()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_screen_saver_dbus_screen_saver_call_lock_sync ()

    gboolean
    phosh_screen_saver_dbus_screen_saver_call_lock_sync
                                   (PhoshScreenSaverDBusScreenSaver *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Lock()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_screen_saver_dbus_screen_saver_call_lock()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshScreenSaverDBusScreenSaverProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_screen_saver_dbus_screen_saver_call_get_active ()

    void
    phosh_screen_saver_dbus_screen_saver_call_get_active
                                   (PhoshScreenSaverDBusScreenSaver *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GetActive()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_screen_saver_dbus_screen_saver_call_get_active_finish()` to get the result of the operation.

See `phosh_screen_saver_dbus_screen_saver_call_get_active_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshScreenSaverDBusScreenSaverProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_screen_saver_dbus_screen_saver_call_get_active_finish ()

    gboolean
    phosh_screen_saver_dbus_screen_saver_call_get_active_finish
                                   (PhoshScreenSaverDBusScreenSaver *proxy,
                                    gboolean *out_active,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_screen_saver_dbus_screen_saver_call_get_active()`.

#### Parameters

proxy | A PhoshScreenSaverDBusScreenSaverProxy. |
out_active | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_screen_saver_dbus_screen_saver_call_get_active()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_screen_saver_dbus_screen_saver_call_get_active_sync ()

    gboolean
    phosh_screen_saver_dbus_screen_saver_call_get_active_sync
                                   (PhoshScreenSaverDBusScreenSaver *proxy,
                                    gboolean *out_active,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetActive()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_screen_saver_dbus_screen_saver_call_get_active()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshScreenSaverDBusScreenSaverProxy. |
out_active | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_screen_saver_dbus_screen_saver_call_set_active ()

    void
    phosh_screen_saver_dbus_screen_saver_call_set_active
                                   (PhoshScreenSaverDBusScreenSaver *proxy,
                                    gboolean arg_value,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SetActive()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_screen_saver_dbus_screen_saver_call_set_active_finish()` to get the result of the operation.

See `phosh_screen_saver_dbus_screen_saver_call_set_active_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshScreenSaverDBusScreenSaverProxy. |
arg_value | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_screen_saver_dbus_screen_saver_call_set_active_finish ()

    gboolean
    phosh_screen_saver_dbus_screen_saver_call_set_active_finish
                                   (PhoshScreenSaverDBusScreenSaver *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_screen_saver_dbus_screen_saver_call_set_active()`.

#### Parameters

proxy | A PhoshScreenSaverDBusScreenSaverProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_screen_saver_dbus_screen_saver_call_set_active()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_screen_saver_dbus_screen_saver_call_set_active_sync ()

    gboolean
    phosh_screen_saver_dbus_screen_saver_call_set_active_sync
                                   (PhoshScreenSaverDBusScreenSaver *proxy,
                                    gboolean arg_value,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetActive()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_screen_saver_dbus_screen_saver_call_set_active()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshScreenSaverDBusScreenSaverProxy. |
arg_value | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_screen_saver_dbus_screen_saver_call_get_active_time ()

    void
    phosh_screen_saver_dbus_screen_saver_call_get_active_time
                                   (PhoshScreenSaverDBusScreenSaver *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GetActiveTime()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_screen_saver_dbus_screen_saver_call_get_active_time_finish()` to get the result of the operation.

See `phosh_screen_saver_dbus_screen_saver_call_get_active_time_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshScreenSaverDBusScreenSaverProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_screen_saver_dbus_screen_saver_call_get_active_time_finish ()

    gboolean
    phosh_screen_saver_dbus_screen_saver_call_get_active_time_finish
                                   (PhoshScreenSaverDBusScreenSaver *proxy,
                                    guint *out_value,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_screen_saver_dbus_screen_saver_call_get_active_time()`.

#### Parameters

proxy | A PhoshScreenSaverDBusScreenSaverProxy. |
out_value | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_screen_saver_dbus_screen_saver_call_get_active_time()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_screen_saver_dbus_screen_saver_call_get_active_time_sync ()

    gboolean
    phosh_screen_saver_dbus_screen_saver_call_get_active_time_sync
                                   (PhoshScreenSaverDBusScreenSaver *proxy,
                                    guint *out_value,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetActiveTime()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_screen_saver_dbus_screen_saver_call_get_active_time()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshScreenSaverDBusScreenSaverProxy. |
out_value | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_screen_saver_dbus_screen_saver_proxy_new ()

    void
    phosh_screen_saver_dbus_screen_saver_proxy_new
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.ScreenSaver. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_screen_saver_dbus_screen_saver_proxy_new_finish()` to get the result of the operation.

See `phosh_screen_saver_dbus_screen_saver_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_screen_saver_dbus_screen_saver_proxy_new_finish ()

    PhoshScreenSaverDBusScreenSaver *
    phosh_screen_saver_dbus_screen_saver_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_screen_saver_dbus_screen_saver_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_screen_saver_dbus_screen_saver_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshScreenSaverDBusScreenSaverProxy]

### phosh_screen_saver_dbus_screen_saver_proxy_new_sync ()

    PhoshScreenSaverDBusScreenSaver *
    phosh_screen_saver_dbus_screen_saver_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.ScreenSaver. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `phosh_screen_saver_dbus_screen_saver_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshScreenSaverDBusScreenSaverProxy]

### phosh_screen_saver_dbus_screen_saver_proxy_new_for_bus ()

    void
    phosh_screen_saver_dbus_screen_saver_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `phosh_screen_saver_dbus_screen_saver_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_screen_saver_dbus_screen_saver_proxy_new_for_bus_finish()` to get the result of the operation.

See `phosh_screen_saver_dbus_screen_saver_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_screen_saver_dbus_screen_saver_proxy_new_for_bus_finish ()

    PhoshScreenSaverDBusScreenSaver *
    phosh_screen_saver_dbus_screen_saver_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_screen_saver_dbus_screen_saver_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_screen_saver_dbus_screen_saver_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshScreenSaverDBusScreenSaverProxy]

### phosh_screen_saver_dbus_screen_saver_proxy_new_for_bus_sync ()

    PhoshScreenSaverDBusScreenSaver *
    phosh_screen_saver_dbus_screen_saver_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `phosh_screen_saver_dbus_screen_saver_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `phosh_screen_saver_dbus_screen_saver_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshScreenSaverDBusScreenSaverProxy]

### phosh_screen_saver_dbus_screen_saver_skeleton_new ()

    PhoshScreenSaverDBusScreenSaver *
    phosh_screen_saver_dbus_screen_saver_skeleton_new
                                   (void);

Creates a skeleton object for the D-Bus interface org.gnome.ScreenSaver.

#### Returns

The skeleton object.

[transfer full][type PhoshScreenSaverDBusScreenSaverSkeleton]

## Types and Values

### struct PhoshScreenSaverDBusScreenSaverIface

    struct PhoshScreenSaverDBusScreenSaverIface {
      GTypeInterface parent_iface;

      gboolean (*handle_get_active) (
        PhoshScreenSaverDBusScreenSaver *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_get_active_time) (
        PhoshScreenSaverDBusScreenSaver *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_lock) (
        PhoshScreenSaverDBusScreenSaver *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_set_active) (
        PhoshScreenSaverDBusScreenSaver *object,
        GDBusMethodInvocation *invocation,
        gboolean arg_value);

      void (*active_changed) (
        PhoshScreenSaverDBusScreenSaver *object,
        gboolean arg_new_value);

      void (*wake_up_screen) (
        PhoshScreenSaverDBusScreenSaver *object);
    };

Virtual table for the D-Bus interface org.gnome.ScreenSaver.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_get_active` () | Handler for the “handle-get-active” signal. |
`handle_get_active_time` () | Handler for the “handle-get-active-time” signal. |
`handle_lock` () | Handler for the “handle-lock” signal. |
`handle_set_active` () | Handler for the “handle-set-active” signal. |
`active_changed` () | Handler for the “active-changed” signal. |
`wake_up_screen` () | Handler for the “wake-up-screen” signal. |

### struct PhoshScreenSaverDBusScreenSaverProxy

    struct PhoshScreenSaverDBusScreenSaverProxy;

The PhoshScreenSaverDBusScreenSaverProxy structure contains only private data and should only be accessed using the provided API.

### struct PhoshScreenSaverDBusScreenSaverProxyClass

    struct PhoshScreenSaverDBusScreenSaverProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for PhoshScreenSaverDBusScreenSaverProxy.

#### Members

### struct PhoshScreenSaverDBusScreenSaverSkeleton

    struct PhoshScreenSaverDBusScreenSaverSkeleton;

The PhoshScreenSaverDBusScreenSaverSkeleton structure contains only private data and should only be accessed using the provided API.

### struct PhoshScreenSaverDBusScreenSaverSkeletonClass

    struct PhoshScreenSaverDBusScreenSaverSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for PhoshScreenSaverDBusScreenSaverSkeleton.

#### Members

### PhoshScreenSaverDBusScreenSaver

    typedef struct _PhoshScreenSaverDBusScreenSaver PhoshScreenSaverDBusScreenSaver;

Abstract interface type for the D-Bus interface org.gnome.ScreenSaver.

### PhoshScreenSaverDBusScreenSaverProxyPrivate

    typedef struct _PhoshScreenSaverDBusScreenSaverProxyPrivate PhoshScreenSaverDBusScreenSaverProxyPrivate;

### PhoshScreenSaverDBusScreenSaverSkeletonPrivate

    typedef struct _PhoshScreenSaverDBusScreenSaverSkeletonPrivate PhoshScreenSaverDBusScreenSaverSkeletonPrivate;

## Signal Details

### The `“active-changed”` signal

    void
    user_function (PhoshScreenSaverDBusScreenSaver *object,
                   gboolean                         arg_new_value,
                   gpointer                         user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "ActiveChanged" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A PhoshScreenSaverDBusScreenSaver. |
arg_new_value | Argument. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“handle-get-active”` signal

    gboolean
    user_function (PhoshScreenSaverDBusScreenSaver *object,
                   GDBusMethodInvocation           *invocation,
                   gpointer                         user_data)

Signal emitted when a remote caller is invoking the `GetActive()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_screen_saver_dbus_screen_saver_complete_get_active()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshScreenSaverDBusScreenSaver. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-get-active-time”` signal

    gboolean
    user_function (PhoshScreenSaverDBusScreenSaver *object,
                   GDBusMethodInvocation           *invocation,
                   gpointer                         user_data)

Signal emitted when a remote caller is invoking the `GetActiveTime()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_screen_saver_dbus_screen_saver_complete_get_active_time()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshScreenSaverDBusScreenSaver. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-lock”` signal

    gboolean
    user_function (PhoshScreenSaverDBusScreenSaver *object,
                   GDBusMethodInvocation           *invocation,
                   gpointer                         user_data)

Signal emitted when a remote caller is invoking the `Lock()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_screen_saver_dbus_screen_saver_complete_lock()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshScreenSaverDBusScreenSaver. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-set-active”` signal

    gboolean
    user_function (PhoshScreenSaverDBusScreenSaver *object,
                   GDBusMethodInvocation           *invocation,
                   gboolean                         arg_value,
                   gpointer                         user_data)

Signal emitted when a remote caller is invoking the `SetActive()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_screen_saver_dbus_screen_saver_complete_set_active()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshScreenSaverDBusScreenSaver. |
invocation | A GDBusMethodInvocation. |
arg_value | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“wake-up-screen”` signal

    void
    user_function (PhoshScreenSaverDBusScreenSaver *object,
                   gpointer                         user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "WakeUpScreen" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A PhoshScreenSaverDBusScreenSaver. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last